IRPCVaultsAdminBasic.GetReplicaOfVaultAdmin

View as Markdown

Administration API / specialized admin session idempotent

Gets one replica vault with its administrative details.

ServiceVault management (basic) MFiles.IRPCVaultsAdminBasic
gRPC method/MFiles.IRPCVaultsAdminBasic/GetReplicaOfVaultAdmin
HTTP (mf-http-grpc)POST /grpc/v1/get-replica-of-vault-admin
RequestGetReplicaOfVaultAdminRequest
ResponseGetReplicaOfVaultAdminResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: GetReplicaOfVaultAdminRequest

A structure that specifies get replica of vault admin request.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
guidstringThe GUID of the replica vault, with braces.

Response: GetReplicaOfVaultAdminResponse

A structure that specifies get replica of vault admin response.

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
can_manage_vaultsboolTrue if the caller has the server right manage_vaults.
vaultVaultExThe replica vault. With can_manage_vaults all fields are filled except database credentials; otherwise only the basic data. See VaultEx.
vault.vaultVaultBasic data.
vault.vault.vaultVaultBasicBasic data.
vault.vault.main_data_folderstringThe main physical folder of this vault on the server (e.g. C:\Program Files\M-Files\Server Vaults\MyVault).
vault.vault.additional_data_folders[]repeated AdditionalFolderThe specification of the additional file data folders.
vault.vault.database_infoSQLDatabaseThe vault's SQL database.
vault.vault.file_data_storageFileDataStorageIdentifies file data storage to use. Typically specifies that the file data storage is determined automatically.Values: FILE_DATA_STORAGE_DEFAULT (0), FILE_DATA_STORAGE_DISK (1), FILE_DATA_STORAGE_DATABASE (2), FILE_DATA_STORAGE_EXTERNAL (3), FILE_DATA_STORAGE_MASTER (4).
vault.vault.file_data_connection_stringstringThe connection string that identifies the location, protocol, and credentials for the file data storage of this vault. For example, this might specify a storage account, a protocol, and a container name for Azure's BLOB Services. Can be unset or empty.
vault.vault_typeVaultTypeThe vault type.Values: VAULT_TYPE_NORMAL_VAULT (0), VAULT_TYPE_REPLICA_VAULT (1), VAULT_TYPE_GROUND_LINK_PROXY (2).
vault.master_server_addressServerAddressThe address of the master server. Specified if the vault type is 'replica'.
vault.master_server_address.network_addressstringThe network address (name) of the server.
vault.master_server_address.endpointstringThe endpoint of the server.
vault.master_server_address.protocol_sequencestringThe protocol sequence of the server.
online_stateboolThe online state of the vault.